import 'package:equatable/equatable.dart';

class DepositPaymentState extends Equatable {
  final bool isFormValid;
  final String amount;

  const DepositPaymentState({required this.isFormValid, this.amount = '0'});

  DepositPaymentState copyWith({bool? isFormValid, String? amount}) {
    return DepositPaymentState(
      isFormValid: isFormValid ?? this.isFormValid,
      amount: amount ?? this.amount,
    );
  }

  @override
  List<Object> get props => [isFormValid, amount];
}
